<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity4">

<!-- Content Header (Page header) -->
<ol class="breadcrumb" th:fragment="breadcrumb">
    <li><a th:href="@{/admin/home}"><i class="fa fa-dashboard"></i> Dashboard</a></li>
    <li><a th:href="@{/admin/management/company/}"><i class="fa fa-clipboard"></i>[[#{page.title.management.company}]]</a></li>
    <li class="active">[[#{label.edit}]]</li>
</ol>

<!-- Main content -->
<section th:fragment="content" class="content">
    <div class="row">
        <div class="col-md-12">
            <br/>
            <div class="box">
                <div class="box-header with-border">
                </div>
                <form class="form-horizontal" action="#" th:object="${data}" th:action="@{/admin/management/company/edit/}+${data.id}"
                       method="POST">
                    <div class="box-body">
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.company.name}]]</label>

                            <div class="col-sm-4">
                                <input id="id" th:field="*{id}" required="required" maxlength="36" hidden="true"
                                       readonly="true"/>
                                <input id="name" th:field="*{name}" required="required" class="form-control"
                                       th:placeholder="#{placeholder.input.company.name}"  maxlength="255"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.vaNumber}]]</label>

                            <div class="col-sm-4">
                                <input id="vaNumber" th:field="*{vaNumber}" class="form-control"
                                       th:placeholder="#{placeholder.input.va.number}" maxlength="20"/>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label">[[#{label.email}]]</label>

                            <div class="col-sm-4">
                                <input id="email" th:field="*{email}" class="form-control" th:placeholder="#{placeholder.input.email}"
                                       maxlength="50"/>
                                <span th:if="${#fields.hasErrors('email')}" th:errors="*{email}"></span>
                            </div>
                        </div>
                        <div class="form-group" >
                            <label class="col-sm-2 control-label" for="active">[[#{label.active}]]</label>
                            <div>
                                <input id="active" type="checkbox" th:field="*{active}" checked/>
                                <span th:if="${#fields.hasErrors('active')}" th:errors="*{active}"></span>
                            </div>
                        </div>
                        <div class="form-group">
                            <label class="col-sm-2 control-label"></label>

                            <div class="col-sm-10">
                                <button type="submit" class="btn btn-success"><i class="fa fa-paper-plane"></i>
                                    [[#{button.submit}]]
                                </button>
                                <a th:href="@{/admin/management/company}" class="btn btn-default"><i
                                        class="fa fa-arrow-left"></i>
                                    [[#{button.back}]]</a>
                            </div>
                        </div>
                    </div>
                    <!-- /.box-body -->
                </form>
            </div>
            <!-- /.box -->
        </div>
    </div>
</section>
<!-- /.content -->
<div th:fragment="css"></div>
<div th:fragment="js"></div>
</html>